import { pushContextState, popContextState } from './track-context-state';
import { setParameters } from '../unified-parameter-api/set-parameters';
import { assert, isObjectEmpty } from '../utils';
export function withParameters(gl, parameters, func) {
  if (isObjectEmpty(parameters)) {
    return func(gl);
  }

  const {
    nocatch = true
  } = parameters;
  assert(!parameters.frameBuffer);
  pushContextState(gl);
  setParameters(gl, parameters);
  let value;

  if (nocatch) {
    value = func(gl);
    popContextState(gl);
  } else {
    try {
      value = func(gl);
    } finally {
      popContextState(gl);
    }
  }

  return value;
}
//# sourceMappingURL=with-parameters.js.map